org.apache.lucene.luke.models.analysis

## Class CustomAnalyzerConfig.Builder

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.CustomAnalyzerConfig.Builder

- Enclosing class:
    CustomAnalyzerConfig

      public static class CustomAnalyzerConfig.Builder
      extends Object

  Builder for `CustomAnalyzerConfig`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(String name, Map<String,String> tokenizerParams)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomAnalyzerConfig.Builder` | `addCharFilterConfig(String name, Map<String,String> params)`
    `CustomAnalyzerConfig.Builder` | `addTokenFilterConfig(String name, Map<String,String> params)`
    `CustomAnalyzerConfig` | `build()`
    `CustomAnalyzerConfig.Builder` | `configDir(String val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(String name,
                         Map<String,String> tokenizerParams)

  - ### Method Detail

    - #### configDir

          public CustomAnalyzerConfig.Builder configDir(String val)

    - #### addCharFilterConfig

          public CustomAnalyzerConfig.Builder addCharFilterConfig(String name,
                                                                  Map<String,String> params)

    - #### addTokenFilterConfig

          public CustomAnalyzerConfig.Builder addTokenFilterConfig(String name,
                                                                   Map<String,String> params)

    - #### build

          public CustomAnalyzerConfig build()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.